<template>
  <div>
    <table class="table  table-striped" v-if="props.cuentas.length > 0">
      <thead>
        <tr>
          <th scope="col">APELLIDO Y NOMBRE</th>
          <th scope="col">CUIL</th>
          <th scope="col">DOMICILIO</th>
          <th scope="col">SUCURSAL</th>
          <th scope="col">CP</th>
          <th scope="col">CBU</th>
          <th scope="col">ESTADO</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="pedidoArch in props.cuentas" :key="pedidoArch.id_baprodeta">
          <td v-text="pedidoArch.apellido + ' ' + pedidoArch.nombres"></td>
          <td v-text="pedidoArch.cuil"></td>
          <td class="text-wrap" style="max-width: 280px;"
            v-text="pedidoArch.calle_dom + ' ' + pedidoArch.nro_dom + ' ' + pedidoArch.piso_dom + ' ' + pedidoArch.depto_dom">
          </td>
          <td v-text="pedidoArch.baprosuc + ' - '+ pedidoArch.d_bapro"></td>
          <td v-text="pedidoArch.cod_postal"></td>
          <td v-text="((pedidoArch.cbu_bloq1 != null)? pedidoArch.cbu_bloq1 : '') +''+ ((pedidoArch.cbu_bloq2 != null)? pedidoArch.cbu_bloq2 : '')"></td>
          <td v-text="pedidoArch.d_estado"></td>
        </tr>
      </tbody>
    </table>
    <div v-else class="alert alert-secondary" role="alert">
      No hay elementos para mostrar
    </div>
  </div>
</template>

<script setup lang="ts">
// Entities
import Pedidodetalle from "@/entities/Bapro/PedidosCuenta/Pedidodetalle";

const props = defineProps({
  cuentas: Array as PropType<Pedidodetalle[]>
});


</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
